RWSWAPBYTES(1)

NAME
rwswapbytes - Convert the byte order of a SiLK Flow file

SYNOPSIS
  rwswapbytes
        {--big-endian|--little-endian|--native-endian|--swap-endian}
        [--note-add=TEXT] [--note-file-add=FILE]
        INPUT_FILE OUTPUT_FILE

  rwswapbytes --help

  rwswapbytes --version

DESCRIPTION
Change the byte order of INPUT_FILE as specified by the option and write the result to OUTPUT_FILE. rwswapbytes will read the input from the standard input if you use the string "stdin" for INPUT_FILE; swapbytes will write the output to the standard output if you use the string "stdout" for OUTPUT_FILE. rwswapbytes knows how to read and write compressed (gzipped) files.

OPTIONS
Option names may be abbreviated if the abbreviation is unique or is an exact match for an option. A parameter to an option may be specified as --arg=param or --arg param, though the first form is required for options that take optional parameters.

One of these switches must be provided:

--big-endian
    Write the output-file in big-endian (network byte-order) format.

--little-endian
    Write the output-file in little-endian format.

--native-endian
    Write the output-file in this machine's native format.

--swap-endian
    Unconditionally swap the byte-order of the input-file.

--help
    Print the available options and exit.

--version
    Print the version number and information about how SiLK was configured, then exit the application.

These switches are optional:

--note-add=TEXT
    Add the specified TEXT to the header of the output file as an annotation. This switch may be repeated to add multiple annotations to a file. To view the annotations, use the rwfileinfo(1) tool.

--note-file-add=FILENAME
    Open FILENAME and add the contents of that file to the header of the output file as an annotation. This switch may be repeated to add multiple annotations. Currently the application makes no effort to ensure that FILENAME contains text; be careful that you do not attempt to add a SiLK data file as an annotation.